# Uses of Enum Class
com.destroystokyo.paper.ClientOption.ChatVisibility

Packages that use ClientOption.ChatVisibility
Package
Description
com.destroystokyo.paper
com.destroystokyo.paper.event.player

## Uses of ClientOption.ChatVisibility in com.destroystokyo.paper

Fields in com.destroystokyo.paper with type parameters of type ClientOption.ChatVisibility
Modifier and Type
Field
Description
`static final ClientOption<ClientOption.ChatVisibility>`
ClientOption.`CHAT_VISIBILITY`
`static Index<String,ClientOption.ChatVisibility>`
ClientOption.ChatVisibility.`NAMES`
Methods in com.destroystokyo.paper that return ClientOption.ChatVisibility
Modifier and Type
Method
Description
`static ClientOption.ChatVisibility`
ClientOption.ChatVisibility.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientOption.ChatVisibility[]`
ClientOption.ChatVisibility.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ClientOption.ChatVisibility in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player that return ClientOption.ChatVisibility
Modifier and Type
Method
Description
`@NotNull ClientOption.ChatVisibility`
PlayerClientOptionsChangeEvent.`getChatVisibility()`
Constructors in com.destroystokyo.paper.event.player with parameters of type ClientOption.ChatVisibility
Modifier
Constructor
Description
``
`PlayerClientOptionsChangeEvent(@NotNull Player player, @NotNull String locale, int viewDistance, @NotNull ClientOption.ChatVisibility chatVisibility, boolean chatColors, @NotNull SkinParts skinParts, @NotNull MainHand mainHand)`
Deprecated.